TextInputCallback (Java SE 22 & JDK 22)
Description: declaration: module: java.base, package: javax.security.auth.callback, class: TextInputCallback
Keywords: javax.security.auth.callback.TextInputCallback class

Module java.base
Package javax.security.auth.callback

# Class TextInputCallback

java.lang.Object
javax.security.auth.callback.TextInputCallback

All Implemented Interfaces:
  `Serializable`, `Callback`

Direct Known Subclasses:
  `RealmCallback`

public class TextInputCallback extends Object implements Callback, Serializable

Underlying security services instantiate and pass a `TextInputCallback` to the `handle` method of a `CallbackHandler` to retrieve generic text information.

Since:
  1.4
See Also:
  - `CallbackHandler`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextInputCallback(String prompt)`
  Construct a `TextInputCallback` with a prompt.
  `TextInputCallback(String prompt, String defaultText)`
  Construct a `TextInputCallback` with a prompt and default input value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDefaultText()`
  Get the default text.
  `String`
  `getPrompt()`
  Get the prompt.
  `String`
  `getText()`
  Get the retrieved text.
  `void`
  `setText(String text)`
  Set the retrieved text.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TextInputCallback

    public TextInputCallback(String prompt)
    Construct a `TextInputCallback` with a prompt.
    Parameters:
      `prompt` - the prompt used to request the information.
    Throws:
      `IllegalArgumentException` - if `prompt` is null or if `prompt` has a length of 0.

  - ### TextInputCallback

    public TextInputCallback(String prompt, String defaultText)
    Construct a `TextInputCallback` with a prompt and default input value.
    Parameters:
      `prompt` - the prompt used to request the information.
      `defaultText` - the text to be used as the default text displayed with the prompt.
    Throws:
      `IllegalArgumentException` - if `prompt` is null, if `prompt` has a length of 0, if `defaultText` is null or if `defaultText` has a length of 0.

- ## Method Details

  - ### getPrompt

    public String getPrompt()
    Get the prompt.
    Returns:
      the prompt.

  - ### getDefaultText

    public String getDefaultText()
    Get the default text.
    Returns:
      the default text, or null if this `TextInputCallback` was not instantiated with `defaultText`.

  - ### setText

    public void setText(String text)
    Set the retrieved text.
    Parameters:
      `text` - the retrieved text, which may be null.
    See Also:
      - `getText()`

  - ### getText

    public String getText()
    Get the retrieved text.
    Returns:
      the retrieved text, which may be null.
    See Also:
      - `setText(java.lang.String)`